# Установка ЛЭРС УЧЁТ в linux

> [!WARNING]
> Используйте этот скрипт *только* в случае если вы по какой-то причине не можете
> установить на ваш сервер docker. Docker это [рекомендованный и официально поддерживаемый](https://docs.lers.ru/manual/setup/install/docker.html) способ установки ЛЭРС на linux.

Скрипт поддерживает следующие операционный системы:

- RED OS (тестировалось на 8.0 DESKTOP Standard)
- Ubuntu 24.04

## Установка Powershell

Для запуска потребуется интерпретатор [powershell core](https://github.com/PowerShell/PowerShell).

Установка Powershell зависит от вашей операционной системы.

### RED OS

Установка для RED OS выполняется так же как на [Red Hat Enterprise linux](https://learn.microsoft.com/ru-ru/powershell/scripting/install/install-rhel).

Рекомендуется прямая загрузка. Для этого выполните команду:

```sh
sudo dnf install https://github.com/PowerShell/PowerShell/releases/download/v7.4.3/powershell-7.4.3-1.rh.x86_64.rpm
```

### Ubuntu 22.04

Рекомендуется использовать snap

```sh
sudo snap install powershell --classic
```

### Astra Linux

Рекомендуется использовать [прямую установку для debian](https://learn.microsoft.com/ru-ru/powershell/scripting/install/install-debian#installation-via-direct-download)

```sh
# Download the PowerShell package file
wget https://github.com/PowerShell/PowerShell/releases/download/v7.4.3/powershell_7.4.3-1.deb_amd64.deb

###################################
# Install the PowerShell package
sudo dpkg -i powershell_7.4.3-1.deb_amd64.deb

# Resolve missing dependencies and finish the install (if necessary)
sudo apt-get install -f

# Delete the downloaded package file
rm powershell_7.4.3-1.deb_amd64.deb
```

## Запуск скрипта

Для установки или переустановки ЛЭРС запустите скрипт следующим образом:

```sh
wget https://sc.lers.ru/lers/Installer/raw/branch/main/linux/install.ps1
sudo pwsh install.ps1
```

Для обновления запустите скрипт с параметром update:

```sh
wget https://sc.lers.ru/lers/Installer/raw/branch/main/linux/install.ps1
sudo pwsh install.ps1 -update
```

## Дополнительные аргументы

Установку можно настроить с помощью дополнительных аргументов:

| Аргумент     | Описание |
|--------------|----------|
| -version     | Задаёт конкретную версию для установки. Если не указано, будет установлена самая новая версия |
| -update      | Указывает, что нужно обновить уже установленную систему
| -server      | Указывает, что нужно установить сервер ЛЭРС. Игнорируется если передан аргумент `-update`.
| -pollservice | Указывает, что нужно установить службу опроса ЛЭРС. Игнорируется если передан аргумент `-update`.

> [!NOTE]
> Если не передан ни один из аргументов `-server` и `-pollservice`, будут установлены оба компонента.
